Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • API Token
  • API Key
  • OAuth Client
  • Service Account
Cloud
API Access / Reference / REST API

OAuth Client

Postman Collection
OpenAPI
GET

Get all OAuth clients in an org

Retrieves all OAuth clients for the specified organization.

Scopes

OAuth 2.0 scopes required: read:service-accounts-tokens:admin

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

orgId

string

Required

Query parameters

pageSize

integer

cursor

string

Responses

Returned if the request is successful.

Headers

X-RateLimit-Limit

integer

X-RateLimit-Remaining

integer

X-RateLimit-Reset

string

application/json

OAuthClientListResponse
GET/orgs/{orgId}/oauth-clients
1 2 3 curl --request GET \ --url 'https://api.atlassian.com/admin/api-access/v1/orgs/{orgId}/oauth-clients' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 { "data": [ { "clientId": "<string>", "name": "<string>", "createdAt": 1763149545609, "updatedAt": 1763149545609, "status": "ACTIVE" } ], "links": { "self": "<string>", "next": "<string>", "prev": "<string>" } }
POST

Create an OAuth client

Creates a new OAuth client for the specified organization.

Note: This is a session-only endpoint and cannot be called with an API token or OAuth 2.0 scope. It requires an active admin session with org management permissions.

Scopes

This endpoint is session-only and does not accept OAuth 2.0 scopes.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

orgId

string

Required

Request bodyapplication/json

Details to create an OAuth client

name

string

Required
serviceAccountId

string

Required

Responses

Returned if the OAuth client is successfully created.

Headers

X-RateLimit-Limit

integer

X-RateLimit-Remaining

integer

X-RateLimit-Reset

string

application/json

OAuthClient

Represents an OAuth client associated with an organization.

POST/orgs/{orgId}/oauth-clients
1 2 3 4 5 6 7 8 curl --request POST \ --url 'https://api.atlassian.com/admin/api-access/v1/orgs/{orgId}/oauth-clients' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "name": "<string>", "serviceAccountId": "<string>" }'
201Response
1 2 3 4 5 6 7 { "clientId": "<string>", "name": "<string>", "createdAt": 1763149545609, "updatedAt": 1763149545609, "status": "ACTIVE" }
POST

Get OAuth client count in an org

Gets the count of OAuth clients in the specified organization.

Scopes

OAuth 2.0 scopes required: read:service-accounts-tokens:admin

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

orgId

string

Required

Responses

Returned if the request is successful.

Headers

X-RateLimit-Limit

integer

X-RateLimit-Remaining

integer

X-RateLimit-Reset

string

application/json

object
POST/orgs/{orgId}/oauth-clients/count
1 2 3 curl --request POST \ --url 'https://api.atlassian.com/admin/api-access/v1/orgs/{orgId}/oauth-clients/count' \ --header 'Accept: application/json'
200Response
1 2 3 { "total": 53 }
GET

Get an OAuth client

Retrieves a specific OAuth client by ID for the specified organization.

Scopes

OAuth 2.0 scopes required: read:service-accounts-tokens:admin

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

orgId

string

Required
clientId

string

Required

Responses

Returned if the request is successful.

Headers

X-RateLimit-Limit

integer

X-RateLimit-Remaining

integer

X-RateLimit-Reset

string

application/json

OAuthClient

Represents an OAuth client associated with an organization.

GET/orgs/{orgId}/oauth-clients/{clientId}
1 2 3 curl --request GET \ --url 'https://api.atlassian.com/admin/api-access/v1/orgs/{orgId}/oauth-clients/{clientId}' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 { "clientId": "<string>", "name": "<string>", "createdAt": 1763149545609, "updatedAt": 1763149545609, "status": "ACTIVE" }
DEL

Delete an OAuth client

Deletes an existing OAuth client from the specified organization.

Scopes

OAuth 2.0 scopes required: delete:service-accounts-tokens:admin

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

orgId

string

Required
clientId

string

Required

Responses

Returned if the OAuth client is successfully deleted.

Headers

X-RateLimit-Limit

integer

X-RateLimit-Remaining

integer

X-RateLimit-Reset

string

DEL/orgs/{orgId}/oauth-clients/{clientId}
1 2 curl --request DELETE \ --url 'https://api.atlassian.com/admin/api-access/v1/orgs/{orgId}/oauth-clients/{clientId}'

Rate this page: